Schemas
Update a schema
Update a schema.
PUT
/
schemas
/
{schema_id}
Update a schema
curl --request PUT \
--url https://app.productlasso.com/api/v1/schemas/{schema_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.productlasso.com/api/v1/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/schemas/{schema_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "9e1c77dd-8f10-41ca-bfe8-e672b89692d1",
"name": "Supplier products",
"description": "Core supplier feed fields",
"is_default": false,
"columns": [
{
"id": "8d79b7da-7134-443e-8110-678fe04de51b",
"attribute_id": "11111111-1111-4111-8111-111111111111",
"kind": "attribute",
"key": "product_name",
"label": "Product name",
"type": "text"
}
],
"created_at": "2026-08-31T09:00:00.000Z",
"updated_at": "2026-08-31T09:00:00.000Z"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}{
"status_code": 404,
"error_type": "not_found",
"message": "Attribute not found",
"request_id": "9de9ae63-7a89-40d0-a101-47e006ea8233",
"code": "attribute_not_found"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Update a schema
curl --request PUT \
--url https://app.productlasso.com/api/v1/schemas/{schema_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.productlasso.com/api/v1/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/schemas/{schema_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "9e1c77dd-8f10-41ca-bfe8-e672b89692d1",
"name": "Supplier products",
"description": "Core supplier feed fields",
"is_default": false,
"columns": [
{
"id": "8d79b7da-7134-443e-8110-678fe04de51b",
"attribute_id": "11111111-1111-4111-8111-111111111111",
"kind": "attribute",
"key": "product_name",
"label": "Product name",
"type": "text"
}
],
"created_at": "2026-08-31T09:00:00.000Z",
"updated_at": "2026-08-31T09:00:00.000Z"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}{
"status_code": 404,
"error_type": "not_found",
"message": "Attribute not found",
"request_id": "9de9ae63-7a89-40d0-a101-47e006ea8233",
"code": "attribute_not_found"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}
